Package org.flowable.bpmn.model

# Class ImplementationType

java.lang.Object
org.flowable.bpmn.model.ImplementationType

public class ImplementationType extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `IMPLEMENTATION_TYPE_CLASS`
  `static final String`
  `IMPLEMENTATION_TYPE_DELEGATEEXPRESSION`
  `static final String`
  `IMPLEMENTATION_TYPE_EXPRESSION`
  `static final String`
  `IMPLEMENTATION_TYPE_INSTANCE`
  `static final String`
  `IMPLEMENTATION_TYPE_INVALID_THROW_EVENT`
  `static final String`
  `IMPLEMENTATION_TYPE_SCRIPT`
  `static final String`
  `IMPLEMENTATION_TYPE_THROW_ERROR_EVENT`
  `static final String`
  `IMPLEMENTATION_TYPE_THROW_GLOBAL_SIGNAL_EVENT`
  `static final String`
  `IMPLEMENTATION_TYPE_THROW_MESSAGE_EVENT`
  `static final String`
  `IMPLEMENTATION_TYPE_THROW_SIGNAL_EVENT`
  `static final String`
  `IMPLEMENTATION_TYPE_WEBSERVICE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImplementationType()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### IMPLEMENTATION_TYPE_CLASS

    public static final String IMPLEMENTATION_TYPE_CLASS
    See Also:
      - Constant Field Values

  - ### IMPLEMENTATION_TYPE_EXPRESSION

    public static final String IMPLEMENTATION_TYPE_EXPRESSION
    See Also:
      - Constant Field Values

  - ### IMPLEMENTATION_TYPE_DELEGATEEXPRESSION

    public static final String IMPLEMENTATION_TYPE_DELEGATEEXPRESSION
    See Also:
      - Constant Field Values

  - ### IMPLEMENTATION_TYPE_INSTANCE

    public static final String IMPLEMENTATION_TYPE_INSTANCE
    See Also:
      - Constant Field Values

  - ### IMPLEMENTATION_TYPE_SCRIPT

    public static final String IMPLEMENTATION_TYPE_SCRIPT
    See Also:
      - Constant Field Values

  - ### IMPLEMENTATION_TYPE_THROW_SIGNAL_EVENT

    public static final String IMPLEMENTATION_TYPE_THROW_SIGNAL_EVENT
    See Also:
      - Constant Field Values

  - ### IMPLEMENTATION_TYPE_THROW_GLOBAL_SIGNAL_EVENT

    public static final String IMPLEMENTATION_TYPE_THROW_GLOBAL_SIGNAL_EVENT
    See Also:
      - Constant Field Values

  - ### IMPLEMENTATION_TYPE_THROW_MESSAGE_EVENT

    public static final String IMPLEMENTATION_TYPE_THROW_MESSAGE_EVENT
    See Also:
      - Constant Field Values

  - ### IMPLEMENTATION_TYPE_THROW_ERROR_EVENT

    public static final String IMPLEMENTATION_TYPE_THROW_ERROR_EVENT
    See Also:
      - Constant Field Values

  - ### IMPLEMENTATION_TYPE_WEBSERVICE

    public static final String IMPLEMENTATION_TYPE_WEBSERVICE
    See Also:
      - Constant Field Values

  - ### IMPLEMENTATION_TYPE_INVALID_THROW_EVENT

    public static final String IMPLEMENTATION_TYPE_INVALID_THROW_EVENT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ImplementationType

    public ImplementationType()